osgUtil::Optimizer::TextureAtlasBuilder::Atlas Class Reference

`#include <Optimizer>`

Inheritance diagram for osgUtil::Optimizer::TextureAtlasBuilder::Atlas:

## Public Types

enum | FitsIn { DOES_NOT_FIT_IN_ANY_ROW , FITS_IN_CURRENT_ROW , IN_NEXT_ROW }

## Public Member Functions

| Atlas (int width, int height, int margin)
FitsIn | doesSourceFit (Source *source)
bool | addSource (Source *source)
void | clampToNearestPowerOfTwoSize ()
void | copySources ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

int | _maximumAtlasWidth
int | _maximumAtlasHeight
int | _margin
osg::ref_ptr< osg::Texture2D > | _texture
osg::ref_ptr< osg::Image > | _image
SourceList | _sourceList
int | _x
int | _y
int | _width
int | _height
unsigned int | _indexFirstOfRow
| Contain the index of the first element of the last row.

## Protected Member Functions

virtual | ~Atlas ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Enumeration Documentation

## FitsIn

enum osgUtil::Optimizer::TextureAtlasBuilder::Atlas::FitsIn

Enumerator
DOES_NOT_FIT_IN_ANY_ROW |
FITS_IN_CURRENT_ROW |
IN_NEXT_ROW |

## Constructor & Destructor Documentation

## Atlas()

osgUtil::Optimizer::TextureAtlasBuilder::Atlas::Atlas | ( | int | width,
|  | int | height,
|  | int | margin )

inline

References _height, _indexFirstOfRow, _margin, _maximumAtlasHeight, _maximumAtlasWidth, _width, _x, and _y.

## ~Atlas()

virtual osgUtil::Optimizer::TextureAtlasBuilder::Atlas::~Atlas | ( |  | ) |

inline protected virtual

## Member Function Documentation

## addSource()

bool osgUtil::Optimizer::TextureAtlasBuilder::Atlas::addSource | ( | Source * | source | ) |

## clampToNearestPowerOfTwoSize()

void osgUtil::Optimizer::TextureAtlasBuilder::Atlas::clampToNearestPowerOfTwoSize | ( |  | ) |

## copySources()

void osgUtil::Optimizer::TextureAtlasBuilder::Atlas::copySources | ( |  | ) |

## doesSourceFit()

FitsIn osgUtil::Optimizer::TextureAtlasBuilder::Atlas::doesSourceFit | ( | Source * | source | ) |

## Member Data Documentation

## _height

int osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_height

Referenced by Atlas().

## _image

osg::ref_ptr<osg::Image> osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_image

## _indexFirstOfRow

unsigned int osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_indexFirstOfRow

Contain the index of the first element of the last row.

Referenced by Atlas().

## _margin

int osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_margin

Referenced by Atlas().

## _maximumAtlasHeight

int osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_maximumAtlasHeight

Referenced by Atlas().

## _maximumAtlasWidth

int osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_maximumAtlasWidth

Referenced by Atlas().

## _sourceList

SourceList osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_sourceList

## _texture

osg::ref_ptr<osg::Texture2D> osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_texture

## _width

int osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_width

Referenced by Atlas().

## _x

int osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_x

Referenced by Atlas().

## _y

int osgUtil::Optimizer::TextureAtlasBuilder::Atlas::_y

Referenced by Atlas().

The documentation for this class was generated from the following file:

- Optimizer